divert(-1)
dnl
dnl FEATURE(sockmap,`inet:4466@localhost',mapargs,passthru)
dnl
dnl Performs a lookup of the client's address using the socket map type.
dnl
dnl - Argument one specifies the location to perform the lookup (milter style)
dnl - Argument two is for specifiying additional map parameters--see
dnl   "Key File Declaration" section of doc/op/op.txt for possible parameters
dnl - Argument three specifies what we want to do if there is a lookup failure:
dnl   * If the argument is `t' we tempfail with the default message '_MSG_TMP_' 
dnl   * If the argument is empty we passthru.
dnl   * If the argument is anything else we tempfail using the text specified
dnl     for the argument.
dnl
divert(0)
VERSIONID(`$Id: sockmap.m4,v 8.13 2005/16/06 21:00:00 ca Exp $')
LOCAL_CONFIG
# map for PMX based blocklist lookups
Kpmxbl socket -T<TMP> _ARG2_ _ARG1_
divert(-1)
define(`_MSG_TMP_',`ifelse(_ARG3_,`t',`"451 Temporary lookup failure of " $`'&{client_addr} "',`_ARG3_')')dnl
divert(8)
# Sophos PureMessage block list
R$*			$: <?> $(pmxbl $&{client_addr} rdns:$&{client_ptr} helo:$&s $: OK $)
R<?>OK			$: OK
ifelse(len(X`'_ARG3_),`1',
`R<?>$+<TMP>		$: TMPOK',
`R<?>$+<TMP>		$#error $@ 4.7.1 $: _MSG_TMP_')
R<?>$-.$-.$- $*		$#error $@ $1.$2.$3 $: $4
R<?>$+			$#error $@ 5.7.1 $: $1
divert(-1)
