divert(-1)
dnl This is an example sendmail.mc (macro config) file.  This example
dnl shows a minimal Mail Gateway configuration that relays all mail to
dnl another Mail Hub, for example Microsoft Exchange running on another
dnl internal host.
dnl
dnl If you make changes to sendmail.mc, you have to generate a new
dnl sendmail.cf by running the 'make' command.
dnl
divert(0)dnl
OSTYPE(`linux')
undefine(`UUCP_RELAY')
undefine(`BITNET_RELAY')
define(`confTRY_NULL_MX_LIST')
define(`confQUEUE_LA', 8)
define(`confDELAY_LA', 10)
define(`confREFUSE_LA', 12)
define(`confCONNECTION_RATE_THROTTLE',5)
define(`confMAX_DAEMON_CHILDREN', 64)
dnl SMTP server waits this long for commands to be issued by peer
define(`confTO_COMMAND', 2m)
dnl disable ident protocol lookups (can be slow and pretty useless)
define(`confTO_IDENT', 0)
dnl SMTP client timeouts
define(`confTO_CONNECT', 2m)
define(`confTO_ICONNECT', 20s)
define(`confTO_INITIAL', 5m)
define(`confTO_HELO', 5m)
define(`confTO_LHLO', 2m)
define(`confTO_MAIL', 5m)
define(`confTO_RCPT', 5m)
define(`confTO_MISC', 2m)
define(`confTO_QUIT', 5s)
define(`confTO_RSET', 30s)
define(`confTO_DATAINIT', 2m)
define(`confTO_DATABLOCK', 3m)
dnl setting DATAFINAL may result in duplicate deliveries under high load
dnl use with extreme care
dnl define(`confTO_DATAFINAL', 30m)
define(`confPRIVACY_FLAGS', `authwarnings noexpn novrfy')
define(`STATUS_FILE', `MAIL_SETTINGS_DIR`'statistics')
define(`LOCAL_MAILER_PATH', `%%PREFIX%%/sbin/mail.local')
define(`LOCAL_MAILER_FLAGS', `PSfmn9')
define(`LOCAL_MAILER_ARGS', `mail.local $u')
define(`DATABASE_MAP_TYPE', `hash')
define(`confCT_FILE', `-o %%PREFIX%%/etc/mail/trusted-users')
FEATURE(`use_ct_file')
FEATURE(`use_cw_file')
FEATURE(`mailertable', `hash %%PREFIX%%/etc/mail/mailertable')
FEATURE(`access_db')
FEATURE(`blacklist_recipients')
MAILER(local)dnl
MAILER(smtp)dnl
